# -*-makefile-*-
# $Id$
#
# Copyright (C) 2009 by Luotao Fu <l.fu@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ARCH_X86)-$(PTXCONF_IKM) += ikm

#
# Paths and names and versions
#
IKM		:= ikm-tib
IKM_VERSION	:=
IKM_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(IKM)
IKM_SOURCE	:= $(SRCDIR)/$(IKM)
IKM_DIR		:= $(BUILDDIR)/$(IKM)

ifdef PTXCONF_IKM
ifdef PTXCONF_ARCH_X86
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/ikm.targetinstall
endif
endif

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(STATEDIR)/ikm.get:
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(IKM_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, IKM)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/ikm.extract:
	@$(call targetinfo, $@)
	@$(call clean, $(IKM_DIR))
	@$(call extract, IKM)
	@$(call patchin, IKM)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

IKM_PATH	:= PATH=$(CROSS_PATH)
IKM_ENV 	:= $(CROSS_ENV)
IKM_MAKEVARS	:= EXTRA_CFLAGS="-I$(IKM_DIR)/val/agp/agpm0v102 \
		-I$(IKM_DIR)/val/drm/drmv14p0 \
		-I$(IKM_DIR)/include \
		-DTRUE=1 \
		-DFALSE=0"

$(STATEDIR)/ikm.prepare:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ikm.compile:
	@$(call targetinfo, $@)
	cd $(IKM_DIR) && $(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) $(IKM_MAKEVARS)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ikm.install: $(ikm_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ikm.targetinstall:
	@$(call targetinfo, $@)
	cd $(IKM_DIR) && $(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) modules_install
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

ikm_clean:
	rm -rf $(STATEDIR)/ikm.*
	cd $(IKM_DIR) && $(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) clean

# vim: syntax=make
