# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2009 by 
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_QT4_DEMO) += qt4-demo

#
# Paths and names
#
ifdef PTXCONF_QT4_DEMO__TRUNK
QT4_DEMO_VERSION	:= trunk
else
QT4_DEMO_VERSION	:= 20090317-1
endif
QT4_DEMO		:= qt4-demo-$(QT4_DEMO_VERSION)
QT4_DEMO_SUFFIX		:= tar.bz2
ifdef PTXCONF_QT4_DEMO__TRUNK
QT4_DEMO_SRCDIR		:= $(PTXDIST_WORKSPACE)/local_src/$(QT4_DEMO)
else
QT4_DEMO_SRCDIR		:= $(BUILDDIR)/$(QT4_DEMO)
QT4_DEMO_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(QT4_DEMO).$(QT4_DEMO_SUFFIX)
endif
QT4_DEMO_DIR		:= $(BUILDDIR)/$(QT4_DEMO)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(QT4_DEMO_SOURCE):
	@$(call targetinfo)
	@$(call get, QT4_DEMO)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/qt4-demo.extract:
	@$(call targetinfo)
	@$(call clean, $(QT4_DEMO_DIR))
ifdef PTXCONF_QT4_DEMO__TRUNK
	@mkdir -p $(QT4_DEMO_DIR)
else
	@$(call extract, QT4_DEMO)
endif
	@$(call patchin, QT4_DEMO)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

QT4_DEMO_PATH	:= PATH=$(CROSS_PATH)

QT4_DEMO_ENV = \
	$(CROSS_ENV) \
	QMAKEPATH=$(QT4_DIR) \
	INSTALL_ROOT=$(SYSROOT) \
	QMAKESPEC=$(QT4_DIR)/mkspecs/qws/linux-ptx-g++

#
# autoconf
#
QT4_DEMO_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/qt4-demo.prepare:
	@$(call targetinfo)
	cd $(QT4_DEMO_DIR) && \
		$(QT4_DEMO_PATH) $(QT4_DEMO_ENV) $(QT4_DIR)/bin/qmake $(QT4_DEMO_SRCDIR)/qt4-demo.pro
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/qt4-demo.compile:
	@$(call targetinfo)
	cd $(QT4_DEMO_DIR) && $(QT4_DEMO_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/qt4-demo.install:
	@$(call targetinfo)
	@$(call install, QT4_DEMO)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/qt4-demo.targetinstall:
	@$(call targetinfo)

	@$(call install_init, qt4-demo)
	@$(call install_fixup, qt4-demo,PACKAGE,qt4-demo)
	@$(call install_fixup, qt4-demo,PRIORITY,optional)
	@$(call install_fixup, qt4-demo,VERSION,$(QT4_DEMO_VERSION))
	@$(call install_fixup, qt4-demo,SECTION,base)
	@$(call install_fixup, qt4-demo,AUTHOR,"Michael Olbrich <m.olbrich\@pengutronix.de>")
	@$(call install_fixup, qt4-demo,DEPENDS,)
	@$(call install_fixup, qt4-demo,DESCRIPTION,missing)

	@$(call install_copy, qt4-demo, 0, 0, 0755, $(QT4_DEMO_DIR)/qt4-demo, /usr/bin/qt4-demo)

	@$(call install_finish, qt4-demo)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

qt4-demo_clean:
	rm -rf $(STATEDIR)/qt4-demo.*
	rm -rf $(PKGDIR)/qt4-demo_*
	rm -rf $(QT4_DEMO_DIR)

# vim: syntax=make
